Compile freeradius-1.1.7 ใน Lenny ไม่ผ่าน

พอดีผมทำตามกระทู้
http://www.linuxthai.org/forum/index.php?topic=1717.0

ถึงขั้นตอน make ขึ้น error ตอนท้ายๆว่า
`perl -MExtUtils::Embed -e ldopts` -lnsl -lresolv -lpthread
gcc -shared .libs/rlm_perl.o -Wl,--rpath -Wl,/usr/src/freeradius-1.1.7/src/lib/.l
ibs /usr/src/freeradius-1.1.7/src/lib/.libs/libradius.so -L/usr/local/lib -L/usr/li
b/perl/5.10/CORE -lperl -ldl -lm -lc -lcrypt -lnsl -lresolv -lpthread -Wl,-E -Wl,-
soname -Wl,rlm_perl-1.1.7.so -o .libs/rlm_perl-1.1.7.so
/usr/bin/ld: cannot find -lperl
collect2: ld returned 1 exit status
make[6]: *** [rlm_perl.la] Error 1
make[6]: Leaving directory `/usr/src/freeradius-1.1.7/src/modules/rlm_perl'
make[5]: *** [common] Error 2
make[5]: Leaving directory `/usr/src/freeradius-1.1.7/src/modules'
make[4]: *** [all] Error 2
make[4]: Leaving directory `/usr/src/freeradius-1.1.7/src/modules'
make[3]: *** [common] Error 2
make[3]: Leaving directory `/usr/src/freeradius-1.1.7/src'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/usr/src/freeradius-1.1.7/src'
make[1]: *** [common] Error 2
make[1]: Leaving directory `/usr/src/freeradius-1.1.7'
make: *** [all] Error 2

ส่วนถ้าใช้ version freeradius-server-2.0.5 compile ผ่านครับ
ปล. อยากจะใช้ version 1.1.17 ครับ

ขาดไฟล์ /usr/lib/libperl.so* มังครับ? ลองติดตั้ง libperl-dev ดูนะครับ

ยังไม่ผ่านเหมือนเดิมครับ

ไม่ผ่านนี่คือยังไงครับ? ผ่านเรื่อง libperl แล้วไปติดเรื่องอื่นต่อ? หรือว่าเรื่อง libperl ยังติดเหมือนเดิม?

ลง libplerl-dev จะสามารถทำต่อได้แล้วก็มา error sqlippools แทน
ํยังไม่อยากใช้ 2.0 ครับมีปัญหาว่า config มันไม่เหมือนกัน

make[6]: Leaving directory `/root/freeradius-1.1.7/src/modules/rlm_sqlippool'
make[5]: *** [common] Error 2
make[5]: Leaving directory `/root/freeradius-1.1.7/src/modules'

เอ.. error message มันไม่บอกอะไรเลยน่ะครับ มีบรรทัดก่อนหน้านี้หรือเปล่าครับ?

Creative Commons License ลิขสิทธิ์ของบทความเป็นของเจ้าของบทความแต่ละชิ้น
ผลงานนี้ ใช้สัญญาอนุญาตของครีเอทีฟคอมมอนส์แบบ แสดงที่มา-อนุญาตแบบเดียวกัน 3.0 ที่ยังไม่ได้ปรับแก้